/*
 * $Id: JmsMessageDrivenInitiator.java 1550 2009-05-18 14:45:17Z mitcje $
 * $URL: https://open.jira.com/svn/IKASAN/tags/ikasan-0.7.11/framework/src/main/java/org/ikasan/framework/initiator/messagedriven/JmsMessageDrivenInitiator.java $
 * 
 * ====================================================================
 * Ikasan Enterprise Integration Platform
 * Copyright (c) 2003-2008 Mizuho International plc. and individual contributors as indicated
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the 
 * Free Software Foundation Europe e.V. Talstrasse 110, 40217 Dusseldorf, Germany 
 * or see the FSF site: http://www.fsfeurope.org/.
 * ====================================================================
 */
package org.ikasan.framework.initiator.messagedriven;

import javax.jms.MessageListener;

import org.ikasan.framework.initiator.Initiator;

/**
 * Simple interface combining the powers of <code>Initiator</code> and <code>MessageListener</code>
 * 
 * Not strictly necessary as it does not add any additional methods yet
 * 
 * @author Ikasan Development Team
 */
public interface JmsMessageDrivenInitiator extends Initiator, MessageListener
{
    /**
     * Accessor for underlying MessageListenerContainer
     * 
     * @return underlying MessageListenerContainer
     */
    public MessageListenerContainer getMessageListenerContainer();
}
